Pug/html/index.html
<!DOCTYPE html>
<html>
  <head>
    <title>Başlık </title>
  </head>
  <body>
    <h1>PugJs'e hoş geldiniz :)</h1>
    <p>
      Araya nokta koyarak
      birden birden fazla satırı aynı element içersine
      gmebilirsin
    </p>
    <p>Bur bir pragraf etiketidir.</p>
    <ul>
      <li>Bu bir itemdir #1</li>
      <li>Bu bir itemdir #2</li>
      <li>Bu bir itemdir #3</li>
    </ul>
    <h1 id="headerID">Burası id eklenmiş bir header'dır</h1>
    <p class="class-p">
      Burası p etiketi içersine class tanımlanarak
      oluşturulmuştur ve aynı zamanda çoklu satır'ı
      desktekler
      
      
    </p>
    <div class="dogrudan-div-class"></div>
    <div id="dogrudan-div-id"></div>
    <input type="password" name="pswd" attr="TRUE">
    <input type="button" value="Send">
    <input type="date" name="dt">
    <div class="my-div class1 class2 class3 class4" style="color:red;background:blue;"></div><img src="google.com/asd" alt="Bu bir resim alt başlığınıdrr">
    <input type="button" value="" disabled>
    <input type="button" value="">
    <!-- Önceden bir dizi tanımlayıp içersinde foor foor-->
    <li>
      <li>Önceden</li>
      <li>bir</li>
      <li>dizi</li>
      <li>tanımlayıp</li>
      <li>tanımlayıp</li>
      <li>forloop</li>
    </li>
    <!-- bir değişken oluşturmadan yapılan-->
    <ul>
      <li>1</li>
      <li>2</li>
      <li>3</li>
      <li>4</li>
      <li>5</li>
    </ul>
    <!--hem dizi içersindeki değer + index kısmı-->
    <ul>
      <li>0: zero</li>
      <li>1: one</li>
      <li>2: two</li>
    </ul>
    <!-- while loop-->
    <ul></ul>
    <li>0</li>
    <li>1</li>
    <li>2</li>
    <li>3</li>
    <!-- iki adet değişken oluşturup if üzerinde işlem yapma-->
    <div id="user">
      <!-- bir h2 oluştur içersinde class=green yap-->
      <h2 class="green">Description</h2>
      <!-- bir p oluştur içersinde class olarak descript yaz ve değer olarak'da user.des yaz-->
      <p class="description">foo bar baz</p>
    </div>
    <!--mixins ile tekrardan kullanılabilen nesnelere oluşturuabilir-->
    <!--bir ul li oluştur içersinde nesne yaz , başka yerde çağırıldığında kullan-->
    <!--kullan-->
        <ul>
          <li>foo</li>
          <li>bar</li>
          <li>baz</li>
        </ul>
        <ul>
          <li>foo</li>
          <li>bar</li>
          <li>baz</li>
        </ul>
    <!--parametre alan bir mixins-->
    <ul>
          <li class="pet">cat</li>
          <li class="pet">dog</li>
          <li class="pet">pig</li>
    </ul>
    <!-- pug -w ./ -o ./html/ -P-->
    <!-- -w -> hangi .pug'ları compile etsin-->
    <!-- -o -> işlemin çıktısını nereye .html olarak yazsın-->
    <!-- -P girinti çıkıntılar için-->
  </body>
</html>

Pug/index.pug
doctype html
html
    head
        title Başlık 

    body
        h1 PugJs'e hoş geldiniz :)
        p.
            Araya nokta koyarak
            birden birden fazla satırı aynı element içersine
            gmebilirsin
        p Bur bir pragraf etiketidir.

        ul
            li Bu bir itemdir #1
            li Bu bir itemdir #2
            li Bu bir itemdir #3
        
        h1#headerID Burası id eklenmiş bir header'dır

        p.class-p.
            Burası p etiketi içersine class tanımlanarak
            oluşturulmuştur ve aynı zamanda çoklu satır'ı
            desktekler


        .dogrudan-div-class
        #dogrudan-div-id
        
        input(type="password", name="pswd" attr=`${5 > 2 ? "TRUE":"FALSE"}`)

        input(type="button", value="Send")

        input(type="date", name="dt")

        - const dizi = ["class1","class2","class3","class4"]
        - const style = {"color":"red","background":"blue"}

        div.my-div(class=dizi style=style)

        - const Attribute = {"src":"google.com/asd","alt":"Bu bir resim alt başlığınıdrr"}

        img&attributes(Attribute)

        input(type="button", value="" disabled=true)
        input(type="button", value="" disabled=false)


        // Önceden bir dizi tanımlayıp içersinde foor foor
        li
            - var list = ["Önceden", "bir", "dizi","tanımlayıp", "tanımlayıp", "forloop"]
                each item in list
                    li=item

        // bir değişken oluşturmadan yapılan
        ul
            each val in [1,2,3,4,5]
                li=val


        //hem dizi içersindeki değer + index kısmı
        ul
            each val, index in ['zero', 'one', 'two']
                li= index + ': ' + val

        // while loop
        - var n = 0;
            ul
            while n < 4
                li= n++

        // iki adet değişken oluşturup if üzerinde işlem yapma
        - var user = { description: 'foo bar baz' }
        - var authorised = false
        #user
            if user.description
                // bir h2 oluştur içersinde class=green yap
                h2.green Description
                // bir p oluştur içersinde class olarak descript yaz ve değer olarak'da user.des yaz
                p.description= user.description
            else if authorised
                h2.blue Description
                p.description.
                User has no description,
                why not add one...
            else
                h2.red Description
                p.description User has no description


        //mixins ile tekrardan kullanılabilen nesnelere oluşturuabilir

        //bir ul li oluştur içersinde nesne yaz , başka yerde çağırıldığında kullan
        mixin list
            ul
                li foo
                li bar
                li baz
        //kullan
        +list
        +list

        //parametre alan bir mixins
        mixin pet(name)
            li.pet= name
        ul
            +pet('cat')
            +pet('dog')
            +pet('pig')


        // pug -w ./ -o ./html/ -P
        // -w -> hangi .pug'ları compile etsin
        // -o -> işlemin çıktısını nereye .html olarak yazsın
        // -P girinti çıkıntılar için
